Support request: upgrade to 3.2.0 breaks board

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
Post Reply
User avatar
newsmedia
Registered User
Posts: 73
Joined: Sat Sep 15, 2012 12:29 pm
Location: Ireland
Name: Keith

Support request: upgrade to 3.2.0 breaks board

Post by newsmedia » Mon Jan 16, 2017 2:03 am

Hi

I have been running PHPBB for years and updating at each update.

Updating from 3.1.10 to your latest release 3.2.0 completely broke the board and I am now unable to access even the login page.

Update was performed within PHPBB with no errors, file system & database updated OK.

On attempting to access the login page I just get a site 'unresponsive' error (website is up and running OK)

Re-uploading the install directory and going to the install page produces the following on check requirements:
Your version is up to date. There is no need to run the update tool. If you want to make an integrity check on your files make sure you uploaded the correct update files.

The update files found are incompatible with your installed version. Your installed version is 3.2.0 and the update file is for updating phpBB 3.1.10 to 3.2.0
Suggestions please ?
Rgds
Last edited by newsmedia on Mon Jan 16, 2017 3:13 am, edited 2 times in total.

User avatar
newsmedia
Registered User
Posts: 73
Joined: Sat Sep 15, 2012 12:29 pm
Location: Ireland
Name: Keith

Re: upgrade to 3.2.0 breaks board

Post by newsmedia » Mon Jan 16, 2017 2:30 am

Support Request Template
What version of phpBB are you using? phpBB 3.1.10
What is your board's URL? www.newsmedianews.com/mewsforum
Who do you host your board with? letshost.ie
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Update from a previous version of phpBB3
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
Do you have any extensions installed? No
What version of phpBB3 did you update from? phpBB 3.1.10
What styles do you currently have installed? cannot access
What language(s) is your board currently using? English
Which database type/version are you using? MySQL 5
What is your level of experience? Experienced with PHP and phpBB
What actions did you take (updating your board; installing a MOD, style or extension; etc.) prior to this problem becoming noticeable? updating to latest version
Please describe your problem. Updated file system and database with error message.

Removed install dir, login page not available, produces error message of page not responsive.

Re-uploaded install dir, on installation page Check requirements this message is displayed:
Your version is up to date. There is no need to run the update tool. If you want to make an integrity check on your files make sure you uploaded the correct update files.

The update files found are incompatible with your installed version. Your installed version is 3.2.0 and the update file is for updating phpBB 3.1.10 to 3.2.0.

What next? I am unable to access the board entirely.
Generated by SRT Generator

User avatar
Lumpy Burgertushie
Registered User
Posts: 66897
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Support request: upgrade to 3.2.0 breaks board

Post by Lumpy Burgertushie » Mon Jan 16, 2017 4:11 am

using ftp, delete everything from the cache folder except for index and htaccess files.

if that doesn't help. you need to look at the server error logs to see what error is causing the blank pages.

also, if your server is not running at least php version 5.4 that is probably the problem.


robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.2 Styles by PlanetStyles.net

If a tree falls in the forest and nobody is there, does it make a sound?

User avatar
newsmedia
Registered User
Posts: 73
Joined: Sat Sep 15, 2012 12:29 pm
Location: Ireland
Name: Keith

Re: Support request: upgrade to 3.2.0 breaks board

Post by newsmedia » Mon Jan 16, 2017 5:28 am

Hi

Thanks for the response Robert.

I tried everything, including a few other options. Nothing worked so I uploaded the full package, including the new config.php and creating a new installation in the same folder.

Went ahead and configured the new installation using the same MYSQL connection details
This seemed to work and it created a new database, phpbb3_

I then went through the full process of configuring the installation. At the end there were no forums or users apart from myself.

I noticed that the old MySQL database tables still existed - phpbb_

So: I then uploaded the old config.php file.
The board logged me out. I logged back in and found the system telling me the board was up to date (3.2.0) but now it showed the users and forums from the previous installation ! ! ! :lol:

Finally changed the config.php file to phpbb3_, logged out and back in and hey presto all seemed good with extensions in place and working, all users and forums back.

This now brings me to ask a last question. Is it safe to delete the previous installation database tables (phpbb_) ?

Endnote: had a backup of the MySQL database so deleted all old table and now AOK.
Topic closed.

Post Reply

Return to “[3.2.x] Support Forum”